Skip to main content
`Ctrl`+`K`

# DMStagGetLocationDOF

Get number of DOF associated with a given point in a `DMSTAG` grid

## Synopsis

    #include "petscdmstag.h"
    PetscErrorCode DMStagGetLocationDOF(DM dm, DMStagStencilLocation loc, PetscInt *dof)

Not Collective

## Input Parameters

- dm - the `DMSTAG` object

- loc - grid point (see `DMStagStencilLocation`)

## Output Parameter

- dof - the number of DOF (components) living at `loc` in `dm`

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagStencilLocation`, `DMStagStencil`, `DMDAGetDof()`

## Level

intermediate

## Location

src/dm/impls/stag/stagstencil.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages